Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  pls 
%global packver   2.4
%global packrel   3

Name:             R-%{packname}
Version:          2.4.3
Release:          alt1_11
Summary:          Multivariate regression by PLSR and PCR
Summary(fr):      Régression multivariée par PLSR et PCR
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/pls/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildArch:        noarch
BuildRequires:    R-devel >= 3.0.0 tex(latex) 
Requires:         R-base R-tcltk
Source44: import.info

%description
Multivariate regression by partial least squares regression (PLSR) 
and principal component regression (PCR)

%description -l fr
Régression multivarié par la technique des moindres carrés et
l'analyse en composants principales
 
%prep
%setup -c -q -n %{packname}

iconv -f ISO-8859-1 -t UTF-8 -o %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
mv %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
sed -i -e 's|, Rmpi||' %{packname}/DESCRIPTION

%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

install -pm 0644  %{packname}/CHANGES %{buildroot}%{_datadir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CHANGES
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/data

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_11
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_10
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_9
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_7
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_5
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_3
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_6
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_5
- update to new release by fcimport

* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_4
- initial fc import

